{% extends "base.html.twig" %}

{% block main %}
<main>
    <div class="container">
        <h1 class="text-center">Welcome to blog page</h1>



        <div class="row row-cols-1 row-cols-md-3 g-4">
            {% for article in articles %}

              <div class="col">
                <div class="card h-100">
                <a href="/openblog/public/blog/{{article.id}}"><img src="{{article.image}}" class="card-img-top" alt="..."></a>
                <div class="card-body">
                    <h5 class="card-title">{{article.lede}}</h5>
                        <div class="text-truncate">
                            <p class="card-text">{{article.text | striptags('') | raw}}</p>
                        </div>
                </div>
                <div class="card-footer">
                    <small class="text-body-secondary">Posted in {{article.date |date("d/m/Y")}}</small>
                </div>
                </div>
            </div>
                    
            {% endfor %}
        </div>
    </div>
</main>
{% endblock %}



